### Function

# GLib test_bug_base

since: 2.16

#### Declaration [src]

    void
    g_test_bug_base (
      const char* uri_pattern
    )

#### Description [src]

Specifies the base URI for bug reports.

The base URI is used to construct bug report messages for `g_test_message()` when `g_test_bug()` is called. Calling this function outside of a test case sets the default base URI for all test cases. Calling it from within a test case changes the base URI for the scope of the test case only. Bug URIs are constructed by appending a bug specific URI portion to `uri_pattern`, or by replacing the special string `%s` within `uri_pattern` if that is present.

If `g_test_bug_base()` is not called, bug URIs are formed solely from the value provided by `g_test_bug()`.

Available since: 2.16

#### Parameters

`uri_pattern`

  Type: `const char*`

  The base pattern for bug URIs.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.